import java.util.Comparator;

/**
 * Spezieller Vergleicher fuer Aufgabe 2 in &Uuml;bung 12, der daf&uuml;r
 * sorgt, dass Schlagweiten absteigend sortiert werden.
 * 
 * @author Owyn
 * @version 2008-06-19
 */
class GolfComparator implements Comparator {
    
    /**
     * Vergleicht zwei Double-Werte.
     * 
     * @param a Erster Wert als Double
     * @param b Zweiter Wert als Double
     * @return negativ / 0 / positiv, wenn a gr&ouml;&szlig;er / gleich / kleiner b
     */
    public int compare (Object a, Object b) {
        // TypeCast und Umwandlung zu primitivem Datentyp double
        double distance1 = ((Double) a).doubleValue();
        double distance2 = ((Double) b).doubleValue();
        // Fuer die absteigende Sortierung sorgt das "-"
        return -Double.compare(distance1, distance2);
    }
    
}
